/*
 *                 IFS Research & Development
 *
 *  This program is protected by copyright law and by international
 *  conventions. All licensing, renting, lending or copying (including
 *  for private use), and all other use of the program, which is not
 *  expressively permitted by IFS Research & Development (IFS), is a
 *  violation of the rights of IFS. Such violations will be reported to the
 *  appropriate authorities.
 *
 *  VIOLATIONS OF ANY COPYRIGHT IS PUNISHABLE BY LAW AND CAN LEAD
 *  TO UP TO TWO YEARS OF IMPRISONMENT AND LIABILITY TO PAY DAMAGES.
 * ----------------------------------------------------------------------------
 * File        : MyListConnectReaderFactory.java
 * Description :
 * Notes       :
 * ----------------------------------------------------------------------------
 * Modified    :
 *    2016-Feb-18  Jacek P  Created.
 * ----------------------------------------------------------------------------
 */

package ifs.fndint.connectreader;

import ifs.fnd.connect.config.ConnectorReadersConfig;
import ifs.fnd.connect.readers.ConnectReader;
import ifs.fnd.connect.readers.ConnectReaderFactory;

/**
 * Custom Reader Factory class registered in the configuration.
 * The class is responsible for construction of both the reader class
 * itself and the config class.
 *
 * @author japase
 */
public class MyListConnectReaderFactory implements ConnectReaderFactory {

    @Override
    public ConnectorReadersConfig.Builder newConfigBuilder() {
        return new MyListConnectReaderConfig.Builder();
    }

    @Override
    public ConnectReader<? extends ConnectorReadersConfig> newConnectReader() {
        return new MyListConnectReader();
    }
}
